fail to rebuild anjuta and others package



I am running CentOS5 with gnome 1.6 installed. Yesterday, I installed
jhbuild to upgrade some packages including anjuta. 

I set ~/.jhbuildrc as
--------------------------------------------------------------------------------------------
moduleset = 'gnome-2.26'
modules = [ 'meta-gnome-desktop' ]
checkoutroot = os.path.join(os.environ['HOME'], 'checkout', 'gnome2')
prefix = os.path.join(os.environ['HOME'], 'prefix')
---------------------------------------------------------------------------------------------

and then "jhbuild buildone anjuta", it shows

....
checking for xgettext... /usr/local/bin/xgettext
checking for intltool >= 0.35.0...  found
./configure: line 24017: test: : integer expression expected
configure: error: Your intltool is too old.  You need intltool 0.35.0 or later.
*** Error during phase configure of anjuta: ########## Error running ./autogen.sh --prefix /root/prefix --libdir '/root/prefix/lib64'  --disable-static --disable-gtk-doc  *** [1/1]

  [1] Rerun phase configure
  [2] Ignore error and continue to build
  [3] Give up on module
  [4] Start shell
  [5] Reload configuration
  [6] Go to phase force_checkout
  [7] Go to phase clean
  [8] Go to phase distclean
choice:

Here is weird, I am sure my intltool is 0.4.x (I removed anything
related to 0.35 before my upgrade it to 0.4.x). And intltoolize
--version returns 0.40.6. But it keeps reporting that my intltool is too
old, I don't know what's going on.

Anyway, at that screen, I terminate it and jump back to the folder of
anjuta, I try to configure and make it manually, during ./configure,
again, it shows

checking for intltool >= 0.35.0...  found
./configure: line 24017: test: : integer expression expected
configure: error: Your intltool is too old.  You need intltool 0.35.0 or later.

so I edit configure and remove the following lines

if test -n "0.35.0"; then
    echo "$as_me:$LINENO: checking for intltool >= 0.35.0" >&5
echo $ECHO_N "checking for intltool >= 0.35.0... $ECHO_C" >&6

    INTLTOOL_REQUIRED_VERSION_AS_INT=`echo 0.35.0 | awk -F. '{ print $ 1 * 1000 + $ 2 * 100 + $ 3; }'`
    INTLTOOL_APPLIED_VERSION=`awk -F\" '/\\$VERSION / { print $ 2; }' ${ac_aux_dir}/intltool-update.in`
    INTLTOOL_APPLIED_VERSION_AS_INT=`awk -F\" '/\\$VERSION / { split($ 2, VERSION, "."); print VERSION[1] * 1000 + VERSION[2] * 100 + VERSION[3];}' ${ac_aux_dir}/intltool-update.in`

    echo "$as_me:$LINENO: result: $INTLTOOL_APPLIED_VERSION found" >&5
echo "${ECHO_T}$INTLTOOL_APPLIED_VERSION found" >&6
    test "$INTLTOOL_APPLIED_VERSION_AS_INT" -ge "$INTLTOOL_REQUIRED_VERSION_AS_INT" ||
	{ { echo "$as_me:$LINENO: error: Your intltool is too old.  You need intltool 0.35.0 or later." >&5
echo "$as_me: error: Your intltool is too old.  You need intltool 0.35.0 or later." >&2;}
   { (exit 1); exit 1; }; }
fi

and ./configure again, now everything is fine, the final few lines of
configure gives


-------------------------------------------------------------------
Conditionally built plugins:
-------------------------------------------------------------------
Building subversion plugin: ............................NO
        Requires apr (>= 0.9.4); http://subversion.org
        Requires apr-util (>= 0.9.4); http://subversion.org
        Requires neon (>= 0.28.2); http://subversion.org
        Requires subversion (>= 1.5); http://subversion.org
Building glade plugin: .................................YES
Building devhelp plugin: ...............................NO
        Requires devhelp >= 0.22
Building class inheritance plugin: .....................NO
        Requires graphviz (>= 2.6.0); http://graphviz.org
Building performance profiler with function call chart: NO
        Requires graphviz (>= 2.6.0); http://graphviz.org
Building Valgrind debugger plugin: .....................NO
                Requires binutils-dev
Building GtkSourceView based editor: ...................NO
Building Scintilla based editor: .......................YES
-------------------------------------------------------------------

But when I do "make", it is showing something wrong

../../libtool: line 462: CDPATH: command not found
../../libtool: line 1265: func_opt_split: command not found
libtool: Version mismatch error.  This is libtool 2.2, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2
libtool: and run autoconf again.
make[5]: *** [ianjuta-buildable.lo] Error 1
make[5]: Leaving directory `/root/checkout/gnome2/anjuta/libanjuta/interfaces'
make[4]: *** [all] Error 2
make[4]: Leaving directory `/root/checkout/gnome2/anjuta/libanjuta/interfaces'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/root/checkout/gnome2/anjuta/libanjuta'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/root/checkout/gnome2/anjuta/libanjuta'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/checkout/gnome2/anjuta'
make: *** [all] Error 2

Why it compliains the stuff about LT_INIT and aclocal.m4? I don't know
what to do, I try to do run aclocal again, it shows

/usr/share/aclocal/progsreiserfs.m4:13: warning: underquoted definition of AC_CHECK_LIBREISERFS
  run info '(automake)Extending aclocal'
  or see http://sources.redhat.com/automake/automake.html#Extending-aclocal

and I also try to run intltoolize and it said "You should update your 'aclocal.m4' by running aclocal."

And then run autoconf, after that, I try to "make" again, but I still
get the same error.


Anyone gives me some hints to solve the problem?

Thanks in advance.



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]